Cloud Platform
Cloud Platform Apps

Qualys VMDR®

Combines Global IT Asset Inventory, Vulnerability Management, Security Configuration Assessment, Threat Protection and Patch Management into a single cloud-based app and workflow, drastically reducing cost.

Cloud Apps “a la carte”

Support
Contact us

Microsoft security alert.

December 10, 2019

Advisory overview

Qualys Vulnerability R&D Lab has released new vulnerability checks in the Qualys Cloud Platform to protect organizations against 34 vulnerabilities that were fixed in 7 bulletins announced today by Microsoft. Customers can immediately audit their networks for these and other new vulnerabilities by accessing their Qualys subscription. Visit our blog to see how to prioritize remediation.

Non-Qualys customers can audit their network for these and other vulnerabilities by signing up for a Qualys Free Trial, or by trying Qualys Community Edition.

Vulnerability details

Microsoft has released 7 security bulletins to fix newly discovered flaws in their software. Qualys has released the following checks for these new vulnerabilities:

  • Microsoft Internet Explorer Security Update for December 2019

    Severity
    Critical 4
    Qualys ID
    100398
    Vendor Reference
    KB4530677, KB4530681, KB4530684, KB4530689, KB4530691, KB4530695, KB4530702, KB4530714, KB4530715, KB4530717, KB4530734
    CVE Reference
    CVE-2019-1485
    CVSS Scores
    Base 7.6 / Temporal 5.6
    Description
    Microsoft releases the security update for Internet Explorer December 2019

    The KB Articles associated with the update:
    KB4530734
    KB4530714
    KB4530691
    KB4530702
    KB4530677
    KB4530689
    KB4530715
    KB4530684
    KB4530717
    KB4530695
    KB4530681

    QID Detection Logic:Authenticated
    This QID checks for the file version of ntoskrnl.exe for Windows 10 1809, Windows 10 1803 and Windows Server 2019 1809 (i.e. KB4530715) , because Mshtml.dll was not updated for these builds. For the rest we check for Mshtml.dll.

    The following versions with their corresponding KBs are verified:
    KB4530734 - 11.0.9600.19572
    KB4530714 - 11.0.16299.1565
    KB4530691 - 10.0.9200.22931
    KB4530702 - 11.0.9600.19572
    KB4530677 - 10.0.9200.22931 , 11.0.9600.19572 , 9.0.8112.21392
    KB4530689 - 11.0.14393.3383
    KB4530715 - 10.0.17763.914
    KB4530684 - 11.0.18362.535
    KB4530695 - 9.0.8112.21392
    KB4530681 - 11.0.10240.18427

    Consequence
    An attacker who successfully exploited the vulnerability could gain the same user rights as the current user. If the current user is logged on with administrative user rights, an attacker who successfully exploited the vulnerability could take control of an affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights.
    Solution
    Please refer to the Security Update Guide for more information pertaining to these vulnerabilities.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Microsoft Security Update Guide Windows

  • Microsoft Office and Microsoft Office Services and Web Apps Security Update December 2019

    Severity
    Critical 4
    Qualys ID
    110341
    Vendor Reference
    KB4461590, KB4461613, KB4475601, KB4484094, KB4484166, KB4484169, KB4484179, KB4484180, KB4484182, KB4484184, KB4484186, KB4484190, KB4484192, KB4484193, KB4484196
    CVE Reference
    CVE-2019-1400, CVE-2019-1461, CVE-2019-1462, CVE-2019-1463, CVE-2019-1464
    CVSS Scores
    Base 9.3 / Temporal 6.9
    Description
    Microsoft has released December 2019 security updates to fix multiple security vulnerabilities.

    This security update contains the following KBs:
    KB4484180
    KB4484193
    KB4484186
    KB4484169
    KB4475601
    KB4484094
    KB4461590
    KB4484166
    KB4461613
    KB4484179
    KB4484182
    KB4484196
    KB4484190
    KB4484192
    KB4484184

    QID Detection Logic:
    This authenticated QID checks the file versions from above Microsoft KB article with the versions on affected office system.

    Consequence
    Successful exploitation allows an attacker to execute code remotely.

    Solution
    Refer to Microsoft Security Guidance for more details pertaining to this vulnerability.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Microsoft Office and Microsoft Office Services and Web Apps Security Update December 2019

  • Microsoft Windows Servicing Stack Security Update December 2019

    Severity
    Medium 2
    Qualys ID
    91589
    Vendor Reference
    KB 4531786, KB 4531787, KB 4532920
    CVE Reference
    N/A
    CVSS Scores
    Base 5.1 / Temporal 3.8
    Description
    Microsoft has released Servicing Stack security updates for Windows 2008, Windows Server 2012, Windows Server 2012 (Server Core installation), Windows 7, Windows 2008 R2 , and Windows 2008 R2 (Server Core installation)

    QID Detection Logic (Authenticated):
    This authenticated QID will check for file version of CbsCore.dll

    Consequence
    Successful exploitation allows attacker to compromise the system.
    Solution
    Customers are advised to refer to advisrory ADV990001for more information.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    ADV990001

  • Microsoft SQL Server Reporting Services Update for December 2019

    Severity
    Serious 3
    Qualys ID
    91590
    Vendor Reference
    CVE-2019-1332
    CVE Reference
    CVE-2019-1332
    CVSS Scores
    Base 4.3 / Temporal 3.2
    Description
    A cross-site scripting (XSS) vulnerability exists when Microsoft SQL Server Reporting Services (SSRS) does not properly sanitize a specially-crafted web request to an affected SSRS server. The attacks could allow the attacker to read content that the attacker is not authorized to read, execute malicious code, and use the victim's identity to take actions on the site on behalf of the user, such as change permissions and delete content.

    The update addresses the vulnerability by correcting SSRS URL sanitization.

    Affected Software:
    Power BI Report Server versions prior to 15.0.1102.646
    SQL Server Reporting Services (SSRS) 2017 versions prior to 14.0.600.1451
    SQL Server Reporting Services (SSRS) 2019 versions prior to 15.0.7243.37714

    QID Detection Logic:
    This authenticated QID detects vulnerable file versions of the above mentioned software by fetching the location from HKLM\SYSTEM\CurrentControlSet\Services\SQLServerReportingServices

    Consequence
    Successful exploitation of this vulnerability allows an attacker to run scripts in the context of the targeted user.

    Solution
    Customers are advised to refer to CVE-2019-1332 for more details pertaining to this vulnerability.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Power BI Report Server
    SQL Server 2017 Reporting Services
    SQL Server 2019 Reporting Services

  • Microsoft Windows Security Update for December 2019

    Severity
    Urgent 5
    Qualys ID
    91591
    Vendor Reference
    KB4530681, KB4530684, KB4530689, KB4530691, KB4530692, KB4530695, KB4530698, KB4530702, KB4530714, KB4530715, KB4530717, KB4530719, KB4530730, KB4530734
    CVE Reference
    CVE-2019-1453, CVE-2019-1458, CVE-2019-1465, CVE-2019-1466, CVE-2019-1467, CVE-2019-1468, CVE-2019-1469, CVE-2019-1470, CVE-2019-1471, CVE-2019-1472, CVE-2019-1474, CVE-2019-1476, CVE-2019-1477, CVE-2019-1478, CVE-2019-1480, CVE-2019-1481, CVE-2019-1483, CVE-2019-1484, CVE-2019-1488, CVE-2019-1489
    CVSS Scores
    Base 9.3 / Temporal 7.3
    Description
    Microsoft releases the security update for Windows December 2019

    The KB Articles associated with the update:
    KB4530730
    KB4530734
    KB4530714
    KB4530691
    KB4530702
    KB4530689
    KB4530715
    KB4530684
    KB4530698
    KB4530717
    KB4530695
    KB4530692
    KB4530681
    KB4530719

    QID Detection Logic (Authenticated):

    This QID checks for the file version of ntoskrnl.exe

    The following versions of ntoskrnl.exe with their corresponding KBs are verified:
    KB4530734 - 6.1.7601.24540
    KB4530714 - 10.0.16299.1565
    KB4530689 - 10.0.14393.3383
    KB4530715 - 10.0.17763.914
    KB4530684 - 10.0.18362.535
    KB4530717 - 10.0.17134.1184
    KB4530692 - 6.1.7601.24540
    KB4530681 - 10.0.10240.18427

    The following versions of win32k.sys with their corresponding KBs are verified:
    KB4530691 - 6.2.9200.22932
    KB4530695 - 6.0.6003.20692
    KB4530698 - 6.2.9200.22932
    KB4530702 - 6.3.9600.19574
    KB4530719 - 6.0.6003.20692
    KB4530730 - 6.3.9600.19574

    Consequence
    To exploit the vulnerability, an attacker would have to convince a user to open a specially crafted file or a program, causing Windows to execute arbitrary code.
    Solution
    Please refer to the Security Update Guide for more information pertaining to these vulnerabilities.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Microsoft Security Update Guide Windows

  • Microsoft Visual Studio Security Update for December 2019

    Severity
    Critical 4
    Qualys ID
    91592
    Vendor Reference
    CVE-2019-1349, CVE-2019-1350, CVE-2019-1351, CVE-2019-1352, CVE-2019-1354, CVE-2019-1387, CVE-2019-1486
    CVE Reference
    CVE-2019-1349, CVE-2019-1350, CVE-2019-1351, CVE-2019-1352, CVE-2019-1354, CVE-2019-1387, CVE-2019-1486
    CVSS Scores
    Base 9.3 / Temporal 6.9
    Description
    A remote code execution vulnerability exists when Git for Visual Studio improperly sanitizes input. An attacker who successfully exploited this vulnerability could take control of an affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.

    To exploit the vulnerability, an attacker would first need to convince the user to clone a malicious repo.

    Affected Software:
    Microsoft Visual Studio 2017 Version 15.0
    Microsoft Visual Studio 2017 Version 15.9 (includes 15.1 - 15.8)
    Microsoft Visual Studio 2019 Version 16.0
    Microsoft Visual Studio 2019 Version 16.3 (includes 16.0 - 16.3)

    QID Detection Logic:Authenticated
    This QID detects vulnerable versions of Microsoft Visual Studio by checking file version of devenv.exe.

    Consequence
    An attacker who successfully exploited this vulnerability could take control of an affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights
    Solution
    Customers are advised to refer to CVE-2019-1349 CVE-2019-1350 CVE-2019-1351 CVE-2019-1352 CVE-2019-1354 CVE-2019-1387 CVE-2019-1486 for more information pertaining to this vulnerability.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    CVE-2019-1349
    CVE-2019-1350
    CVE-2019-1351
    CVE-2019-1352
    CVE-2019-1354
    CVE-2019-1387
    CVE-2019-1487

  • Microsoft Windows XP Remote Desktop Protocol Information Disclosure Vulnerability

    Severity
    Serious 3
    Qualys ID
    91593
    Vendor Reference
    CVE-2019-1489
    CVE Reference
    CVE-2019-1489
    CVSS Scores
    Base 5 / Temporal 4.3
    Description
    An information disclosure vulnerability exists when the Windows Remote Desktop Protocol (RDP) fails to properly handle objects in memory. To exploit this vulnerability, an attacker would have to connect remotely to an affected system and run a specially crafted application.

    Affected Software:
    Windows XP SP3

    QID Detection Logic:Authenticated
    This QIDs checks if "TermService" is running on Windows XP SP3 systems.

    Consequence
    An attacker who successfully exploited this vulnerability could obtain information to further compromise the user's system.
    Solution
    Microsoft has not identified any mitigating factors for this vulnerability.

    Workaround:
    Microsoft has not identified any workarounds for this vulnerability.

These new vulnerability checks are included in Qualys vulnerability signature 2.4.765-4. Each Qualys account is automatically updated with the latest vulnerability signatures as they become available. To view the vulnerability signature version in your account, from the Qualys Help menu, select the About tab.

Selective Scan Instructions Using Qualys

To perform a selective vulnerability scan, configure a scan profile to use the following options:

  1. Ensure access to TCP ports 135 and 139 are available.
  2. Enable Windows Authentication (specify Authentication Records).
  3. Enable the following Qualys IDs:
    • 100398
    • 110341
    • 91589
    • 91590
    • 91591
    • 91592
    • 91593
  4. If you would like the scan to return the Windows Hostname, also include QID 82044 and ensure access to UDP port 137 is available.
  5. If you would like to be notified if Qualys is unable to log on to a host (if Authentication fails), also include QID 105015.

In addition, prior to running a scan for these new vulnerabilities, you can estimate your exposure to these new threats by running the Risk Analysis Report, available from the Qualys Vulnerability Management Reports tab.

Access for Qualys Customers

Platforms and Platform Identification

Technical Support

For more information, customers may contact Qualys Technical Support.

About Qualys

The Qualys Cloud Platform and its integrated suite of security and compliance applications provides organizations of all sizes with a global view of their security and compliance solutions, while drastically reducing their total cost of ownership. Qualys solutions include: continuous monitoring, vulnerability management, policy compliance, PCI compliance, security assessment questionnaire, web application scanning, web application firewall, malware detection and SECURE Seal for security testing of web sites.